Bug 495418 - Review Request: python-upoints - Python modules for working with points on Earth
Review Request: python-upoints - Python modules for working with points on Earth
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 18:13 EDT by Fabian Affolter
Modified: 2009-05-25 17:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.11.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 17:33:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-04-12 18:13:02 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-upoints.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-upoints-0.11.0-1.fc10.src.rpm

Project URL: http://www.jnrowe.ukfsn.org/projects/upoints.html

Description:
upoints, previously called earth_distance, is a collection of
modules for working with points on a spherical object. It allows
you to calculate the distance and bearings between points,
mangle xearth/xplanet data files, work with online UK trigpoint 
databases and various other databases.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1292739

rpmlint output:
[fab@laptop24 noarch]$ rpmlint python-upoints-0.11.0-1.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint python-upoints-0.11.0-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Susi Lehtola 2009-04-13 10:35:46 EDT
- Change
 BR: python, python-setuptools-devel
to
 BR: python-devel, python-setuptools

if you intend to branch to EPEL (EL5 has just a python-setuptools package).

- Also, you can drop the ./ in front of setup.py.


rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. ~OK
- Maybe add PKG-INFO and {NEWS,README}.html to doc?

MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK


APPROVED
Comment 2 Fabian Affolter 2009-04-13 16:39:27 EDT
Thanks for the review, Jussi.

(In reply to comment #1)
> - Change
>  BR: python, python-setuptools-devel
> to
>  BR: python-devel, python-setuptools
> 
> if you intend to branch to EPEL (EL5 has just a python-setuptools package).

At the moment I have no intention to maintain this package in EPEL.  Perhaps in the future.  

> - Also, you can drop the ./ in front of setup.py.

OK, thanks for this information.
Comment 3 Fabian Affolter 2009-04-13 16:41:33 EDT
New Package CVS Request
=======================
Package Name: python-upoints 
Short Description: Python modules for working with points on Earth
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 4 Kevin Fenzi 2009-04-14 12:17:38 EDT
cvs done.
Comment 5 Fedora Update System 2009-04-17 17:22:17 EDT
python-upoints-0.11.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-upoints-0.11.0-2.fc11
Comment 6 Fedora Update System 2009-04-17 17:22:24 EDT
python-upoints-0.11.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-upoints-0.11.0-2.fc10
Comment 7 Fedora Update System 2009-04-17 17:22:29 EDT
python-upoints-0.11.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-upoints-0.11.0-2.fc9
Comment 8 Fedora Update System 2009-04-21 20:48:18 EDT
python-upoints-0.11.0-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-upoints'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3757
Comment 9 Fedora Update System 2009-04-21 20:51:54 EDT
python-upoints-0.11.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update python-upoints'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3778
Comment 10 Fedora Update System 2009-04-27 17:33:03 EDT
python-upoints-0.11.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-04-27 17:34:06 EDT
python-upoints-0.11.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-25 17:17:50 EDT
python-upoints-0.11.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.